Results 1 to 6 of 6
  1. #1
    Join Date
    Jan 2007
    Location
    Boston, MA, USA
    Posts
    40
    Plugin Contributions
    0

    Default upgrading from 1.3.0 to 1.3.7

    I am trying to upgrade from 1.3.0 to 1.3.7. I followed the instructions exactly, but when I try to go to my store, it says this:

    Fatal error: Cannot instantiate non-existent class: notifier in /home/content/D/a/d/Dadaya2000/html/madebymichelle/new/includes/autoload_func.php on line 79

    When I ran zc_install/index.php, it said that my database was version 1.3.7. I checked the proper upgrades anyway (one at a time), but of course it skipped them, saying the files already exist. My boyfriend insists we did everything right, but shouldn't it have said my database was version 1.3.0?

    What did I do wrong?

  2. #2
    Join Date
    Jan 2004
    Posts
    60,593
    Blog Entries
    4
    Plugin Contributions
    145

    Default Re: upgrading from 1.3.0 to 1.3.7

    It sounds like some of your files in the /includes/classes folder may not have uploaded completely. Re-uploading those files should help get past the error you're encountering.

    Oftentimes FTP connections will experience timeouts and some files may fail to transfer completely, sometimes leaving them as 0-byte files, or skipped altogether. Some FTP programs don't even tell you about those, and thus are sometimes not the best choice of tools. FileZilla is one good tool that shows you which files have failed and offers you the ability to retry failed transfers. And it's free. http://filezilla.sf.net
    .

    Zen Cart - putting the dream of business ownership within reach of anyone!
    Donations always welcome: www.zen-cart.com/donate

    Remember: Any code suggestions you see here are merely suggestions. You assume full responsibility for your use of any such suggestions, including any impact ANY alterations you make to your site may have on your PCI compliance.
    Furthermore, any advice you see here about PCI matters is merely an opinion, and should not be relied upon as "official". Official PCI information should be obtained from the PCI Security Council directly or from one of their authorized Assessors.



  3. #3
    Join Date
    Jan 2007
    Location
    Boston, MA, USA
    Posts
    40
    Plugin Contributions
    0

    Default Re: upgrading from 1.3.0 to 1.3.7

    I tried reuploading the classes folder but it didn't work; still the same error message when I try to view the store.

    I also made a new database and installed 1.3.7 on there just to make sure there was nothing wrong with my download, and it worked fine.

  4. #4
    Join Date
    Jan 2007
    Location
    Boston, MA, USA
    Posts
    40
    Plugin Contributions
    0

    Default Re: upgrading from 1.3.0 to 1.3.7

    Oh, and I figured out why it said my database was 1.3.7. At first I forgot to change the database info in the configure.php files, so I actually upgraded my original database (still works fine though; I've checked). I have changed the configure.php files to point to the new database I made for testing the upgrade.

  5. #5
    Join Date
    Jan 2007
    Location
    Boston, MA, USA
    Posts
    40
    Plugin Contributions
    0

    Default Re: upgrading from 1.3.0 to 1.3.7

    Nevermind, I got it working! I re-uploaded the Zen Cart files, but also double checked the info in the configure.php files. I think I didn't have an ending / in one of the URLs; I'm not sure exactly.

    Whatever - the point is, it's working now!

  6. #6
    Join Date
    Sep 2006
    Posts
    449
    Plugin Contributions
    0

    Default Re: upgrading from 1.3.0 to 1.3.7

    ok, this is odd :) When I check the version of my zencart, it says my version of zen cart appears to be current. My hoster/server says it also sees that I am running zen cart 1.3.7

    however, if I click on the version information, it says i have 1.3.0

    colored me confused :) help??

    thanks!

 

 

Similar Threads

  1. Importing products from 1.3.0 to 1.3.7 after upgrade?
    By Lisk in forum Upgrading from 1.3.x to 1.3.9
    Replies: 2
    Last Post: 13 Jan 2007, 04:41 AM
  2. is 1.3.7 worth upgrading from 1.3.6?
    By martyndw2005 in forum General Questions
    Replies: 1
    Last Post: 4 Jan 2007, 12:14 AM
  3. Database Problems Upgrading from 1.3.6 to 1.3.7 (my export won't work)
    By TLC in forum Upgrading from 1.3.x to 1.3.9
    Replies: 4
    Last Post: 3 Jan 2007, 03:57 AM
  4. Upgrading from 1.3.0 to 1.3.6
    By RAD1964 in forum Upgrading from 1.3.x to 1.3.9
    Replies: 1
    Last Post: 15 Dec 2006, 04:24 PM
  5. trouble upgrading db for 1.3.5 from 1.3.0
    By brownrv in forum Upgrading from 1.3.x to 1.3.9
    Replies: 0
    Last Post: 4 Sep 2006, 07:48 PM

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •